# SPDX-License-Identifier: GPL-2.0 OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/qcom,q6asm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Audio Stream Manager (Q6ASM)

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>
  - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>

allOf:
  - $ref: /schemas/soc/qcom/qcom,apr-services.yaml#

properties:
  compatible:
    enum:
      - qcom,q6asm

  dais:
    type: object
    $ref: /schemas/sound/qcom,q6asm-dais.yaml#
    unevaluatedProperties: false
    description: Qualcomm DSP audio ports

required:
  - compatible
  - dais

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/soc/qcom,apr.h>

    apr {
        #address-cells = <1>;
        #size-cells = <0>;

        service@7 {
            compatible = "qcom,q6asm";
            reg = <APR_SVC_ASM>;
            qcom,protection-domain = "avs/audio", "msm/adsp/audio_pd";

            dais {
                compatible = "qcom,q6asm-dais";
                iommus = <&apps_smmu 0x1821 0x0>;
                #address-cells = <1>;
                #size-cells = <0>;
                #sound-dai-cells = <1>;

                dai@0 {
                    reg = <0>;
                };

                dai@1 {
                    reg = <1>;
                };

                dai@2 {
                    reg = <2>;
                    is-compress-dai;
                    direction = <1>;
                };
            };
        };
    };
